import { Extension } from '@codemirror/state';
import * as React from 'react';
type ParsingStatus = {
    type: 'parsing';
};
type ErrorStatus = {
    type: 'error';
    error: string;
};
type SuccessStatus = {
    type: 'success';
};
export type ParserStatus = ParsingStatus | ErrorStatus | SuccessStatus;
type onStatusChangeCb = (status: ParserStatus) => void;
type CodeEditorProps = React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement> & {
    onStatusChange?: onStatusChangeCb;
    extensions?: Extension[];
};
export declare const CodeEditor: {
    ({ onStatusChange, ...props }: CodeEditorProps): JSX.Element;
    toString(): string;
};
export {};
